pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: mail/p5-Mail-SPF-Query conflicts with mail/libspf_alt

Rhialto wrote:
Information for libspf_alt-0.4.0nb3:


Information for p5-Mail-SPF-Query-1.999:


but, after installing both, I have

lrwxr-xr-x  1 root  wheel      33 Jul 30 13:17 /usr/pkg/bin/spfd@ -> 
lrwxr-xr-x  1 root  wheel      37 Jul 30 13:17 /usr/pkg/bin/spfquery@ -> 

The lang/perl5/files/ script should be modified so that it checks to see if $dest is a symlink or not before overwriting it. The check should be done by Perl, so the appropriate code needs to be emitted to the Perl interpreter instead of simply using "test -h" in shell. Incidentally, if someone who knows Perl could rewrite that script so that it's pure Perl instead of a shell script emitting Perl code to the Perl interpreter, that would be great.


        -- Johnny C. Lam

Home | Main Index | Thread Index | Old Index